package com.zhentao.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 营销优惠券
 * @TableName coupon
 */
@TableName(value ="coupon")
@Data
public class Coupon implements Serializable {
    /**
     * 
     */
    @TableId
    private Long id;

    /**
     * 优惠券类型1满减券2满折券
     */
    private Integer tacticsType;

    /**
     * 优惠券名称
     */
    private String name;

    /**
     * 面值
     */
    private BigDecimal faceValue;

    /**
     * 优惠券图片
     */
    private String imgUrl;

    /**
     * 领取方式1手动领取2赠送券3会员券
     */
    private Integer getWay;

    /**
     * 适用类型1通用2指定分类3指定商品4活动券
     */
    private Integer productType;

    /**
     * 产品id，分类id
     */
    private String productValue;

    /**
     * 有无门槛0无门槛1有门槛
     */
    private Integer limitMinFlag;

    /**
     * 限制金额
     */
    private BigDecimal limitMin;

    /**
     * 有效标志1按天2时间段
     */
    private Integer validFlag;

    /**
     * 有效天数
     */
    private Integer validDays;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 截止时间
     */
    private Date endTime;

    /**
     * 领取时间1限时领取0不限时
     */
    private Integer getTimeLimit;

    /**
     * 领取开始时间
     */
    private Date getStartTime;

    /**
     * 领取结束时间
     */
    private Date getEndTime;

    /**
     * 是否限量，0不限制
     */
    private Integer totalLimit;

    /**
     * 优惠券数量
     */
    private Integer totalNum;

    /**
     * 状态1正常显示0隐藏
     */
    private Integer status;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 跳转链接
     */
    private String navHref;

    /**
     * 版本
     */
    private Integer reversion;

    /**
     * 创建时间
     */
    private Date createddTime;

    /**
     * 更新时间
     */
    private Date updatedTime;

    /**
     * 逻辑删除0正常1删除
     */
    private Integer delFlag;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}