package com.zhentao.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 课程详细内容表，记录每门课程的具体内容
 * @TableName course_details
 */
@TableName(value ="course_details")
@Data
public class CourseDetails implements Serializable {
    /**
     * 课程明细 ID
     */
    @TableId(type = IdType.AUTO)
    private Long detailId;

    /**
     * 关联课程 ID
     */
    private Long courseId;

    /**
     * 课程详细内容
     */
    private String content;

    /**
     * 课程明细创建时间
     */
    private Date createdAt;

    /**
     * 课程明细更新时间
     */
    private Date updatedAt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}