package com.zhentao.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 课程信息表，记录课程的基本信息和发布状态
 * @TableName courses
 */
@TableName(value ="courses")
@Data
public class Courses implements Serializable {
    /**
     * 课程 ID，使用雪花 ID
     */
    @TableId
    private Long courseId;

    /**
     * 课程名称
     */
    private String courseName;

    /**
     * 授课老师 ID
     */
    private Long teacherId;

    /**
     * 课程描述
     */
    private String description;

    /**
     * 发布状态（0=上架，1=下架，2=停售，3=开售）
     */
    private Integer publishStatus;

    /**
     * 课程短链接，用于分享
     */
    private String shortLink;

    /**
     * 课程创建时间
     */
    private Date createdAt;

    /**
     * 课程信息更新时间
     */
    private Date updatedAt;

    /**
     * 授课店铺ID（外键，关联shop.shop_id）
     */
    private Long shopId;

    /**
     * 售卖方式（0=免费，1=付费，2=加密）
     */
    private Integer salesMethod;

    /**
     * 课程价格（元）
     */
    private BigDecimal price;

    /**
     * 密码
     */
    private String password;

    /**
     * 课程标题
     */
    private String title;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}