package com.zhentao.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 物流单号管理表，记录订单的物流配送单号信息
 * @TableName logistics_numbers
 */
@TableName(value ="logistics_numbers")
@Data
public class LogisticsNumbers implements Serializable {
    /**
     * 物流号 ID
     */
    @TableId(type = IdType.AUTO)
    private Long logisticsId;

    /**
     * 关联订单 ID
     */
    private Long orderId;

    /**
     * 物流单号
     */
    private String logisticsNumber;

    /**
     * 快递公司
     */
    private String expressCompany;

    /**
     * 物流号创建时间
     */
    private Date createdAt;

    /**
     * 物流号更新时间
     */
    private Date updatedAt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}