package com.zhentao.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 用户消息表，记录发送给用户的消息内容和状态
 * @TableName messages
 */
@TableName(value ="messages")
@Data
public class Messages implements Serializable {
    /**
     * 消息 ID
     */
    @TableId(type = IdType.AUTO)
    private Long messageId;

    /**
     * 关联用户 ID
     */
    private Long userId;

    /**
     * 消息内容
     */
    private String content;

    /**
     * 消息是否已读
     */
    private Integer isRead;

    /**
     * 消息创建时间
     */
    private Date createdAt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}