package com.zhentao.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 订单详细信息表，记录每个订单的具体购买项目
 * @TableName order_details
 */
@TableName(value ="order_details")
@Data
public class OrderDetails implements Serializable {
    /**
     * 订单明细 ID
     */
    @TableId(type = IdType.AUTO)
    private Long detailId;

    /**
     * 关联订单 ID
     */
    private Long orderId;

    /**
     * 订单明细项目名称
     */
    private String itemName;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 单价
     */
    private BigDecimal price;

    /**
     * 订单明细创建时间
     */
    private Date createdAt;

    /**
     * 订单明细更新时间
     */
    private Date updatedAt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}