package com.zhentao.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 订单信息表，记录用户购买课程的订单相关信息
 * @TableName orders
 */
@TableName(value ="orders")
@Data
public class Orders implements Serializable {
    /**
     * 订单 ID，使用雪花 ID
     */
    @TableId
    private Long orderId;

    /**
     * 关联用户 ID
     */
    private Long userId;

    /**
     * 关联课程 ID
     */
    private Long courseId;

    /**
     * redis 生成的格式化订单号
     */
    private String orderNumber;

    /**
     * 订单总金额
     */
    private BigDecimal totalAmount;

    /**
     * 优惠券抵扣金额
     */
    private BigDecimal couponAmount;

    /**
     * 实际支付金额
     */
    private BigDecimal actualAmount;

    /**
     * 订单状态
     */
    private Object orderStatus;

    /**
     * 订单创建时间
     */
    private Date createdAt;

    /**
     * 订单信息更新时间
     */
    private Date updatedAt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}