package com.zhentao.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 支付相关配置表，存储支付相关的系统配置信息
 * @TableName payment_configs
 */
@TableName(value ="payment_configs")
@Data
public class PaymentConfigs implements Serializable {
    /**
     * 支付配置 ID
     */
    @TableId(type = IdType.AUTO)
    private Long configId;

    /**
     * 配置名称
     */
    private String configName;

    /**
     * 配置值
     */
    private String configValue;

    /**
     * 配置创建时间
     */
    private Date createdAt;

    /**
     * 配置更新时间
     */
    private Date updatedAt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}