package com.zhentao.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 支付交易记录表，记录订单支付的详细流水信息
 * @TableName payment_transactions
 */
@TableName(value ="payment_transactions")
@Data
public class PaymentTransactions implements Serializable {
    /**
     * 支付流水 ID
     */
    @TableId(type = IdType.AUTO)
    private Long transactionId;

    /**
     * 关联订单 ID
     */
    private Long orderId;

    /**
     * 支付方式（v2 或 v3）
     */
    private Object paymentMethod;

    /**
     * 预支付订单 ID
     */
    private String prepayId;

    /**
     * 支付签名
     */
    private String sign;

    /**
     * 支付交易状态
     */
    private Object transactionStatus;

    /**
     * 商户流水单号
     */
    private String merchantTransactionNumber;

    /**
     * 支付交易创建时间
     */
    private Date createdAt;

    /**
     * 支付交易更新时间
     */
    private Date updatedAt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}