package com.zhentao.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 统计报表表，存储系统生成的各类统计报表数据
 * @TableName statistical_reports
 */
@TableName(value ="statistical_reports")
@Data
public class StatisticalReports implements Serializable {
    /**
     * 统计报表 ID
     */
    @TableId(type = IdType.AUTO)
    private Long reportId;

    /**
     * 报表类型
     */
    private String reportType;

    /**
     * 报表数据
     */
    private String reportData;

    /**
     * 报表统计时间
     */
    private Date reportTime;

    /**
     * 报表创建时间
     */
    private Date createdAt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}