package com.zhentao.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 店铺认证信息表，记录店铺的认证相关详细信息
 * @TableName store_certifications
 */
@TableName(value ="store_certifications")
@Data
public class StoreCertifications implements Serializable {
    /**
     * 店铺认证信息 ID
     */
    @TableId(type = IdType.AUTO)
    private Long certificationId;

    /**
     * 关联店铺 ID
     */
    private Long storeId;

    /**
     * 店铺认证信息
     */
    private String certificationInfo;

    /**
     * 认证信息创建时间
     */
    private Date createdAt;

    /**
     * 认证信息更新时间
     */
    private Date updatedAt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}