package com.zhentao.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 店铺信息表，记录店铺的基本信息和认证状态
 * @TableName stores
 */
@TableName(value ="stores")
@Data
public class Stores implements Serializable {
    /**
     * 店铺 ID，使用雪花 ID
     */
    @TableId
    private Long storeId;

    /**
     * 店铺名称
     */
    private String storeName;

    /**
     * 店铺是否已认证
     */
    private Integer isCertified;

    /**
     * 店铺创建时间
     */
    private Date createdAt;

    /**
     * 店铺信息更新时间
     */
    private Date updatedAt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}