package com.zhentao.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 系统通用设置表，存储系统的各种配置信息
 * @TableName system_settings
 */
@TableName(value ="system_settings")
@Data
public class SystemSettings implements Serializable {
    /**
     * 系统设置 ID
     */
    @TableId(type = IdType.AUTO)
    private Long settingId;

    /**
     * 设置名称
     */
    private String settingName;

    /**
     * 设置值
     */
    private String settingValue;

    /**
     * 设置创建时间
     */
    private Date createdAt;

    /**
     * 设置更新时间
     */
    private Date updatedAt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}