package com.zhentao.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 老师信息表，记录授课老师的基本信息
 * @TableName teachers
 */
@TableName(value ="teachers")
@Data
public class Teachers implements Serializable {
    /**
     * 老师 ID，使用雪花 ID
     */
    @TableId
    private Long teacherId;

    /**
     * 老师姓名
     */
    private String teacherName;

    /**
     * 老师简介
     */
    private String introduction;

    /**
     * 老师信息创建时间
     */
    private Date createdAt;

    /**
     * 老师信息更新时间
     */
    private Date updatedAt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}