package com.zhentao.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 用户令牌表，记录用户登录后生成的令牌信息
 * @TableName user_tokens
 */
@TableName(value ="user_tokens")
@Data
public class UserTokens implements Serializable {
    /**
     * token ID
     */
    @TableId(type = IdType.AUTO)
    private Long tokenId;

    /**
     * 关联用户 ID
     */
    private Long userId;

    /**
     * JWT 生成的 token
     */
    private String token;

    /**
     * token 创建时间
     */
    private Date createdAt;

    /**
     * token 过期时间
     */
    private Date expiresAt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}